[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.DoShowWindow

Chooses the active control when the form becomes visible at run-time.

## Declaration

Source position: forms.pp line 631

`protected procedure TCustomForm.DoShowWindow; virtual;`

## Description

Calls a private method to locate the first visible and enabled control in the tab order for the form. Sets the value in ActiveControl to the control instance located in the method.

No actions are performed in the method at design-time, when ActiveControl has already been assigned, or when the form instance has a Parent.

DoShowWindow is called from the WMShowWindow method where the LM_SHOWWINDOW window message is handled for the form.